<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           targetNamespace="http://csioz.gov.pl/p1/kontekst/mt/v20180509" xmlns="http://csioz.gov.pl/p1/kontekst/mt/v20180509"
           elementFormDefault="qualified">

    <xs:simpleType name="NazwaAtrybutuKontekstuWewnetrznegoMT">
        <xs:annotation>
            <xs:documentation>Dopuszczalne nazwy atrybutów kontekstu wewnętrznego.</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:enumeration value="urn:csioz:p1:kontekst:adresPodmiotu"/>
            <xs:enumeration value="urn:csioz:p1:kontekst:uuidZdarzeniaInicjujacego"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="WartoscAtrybutuMT">
        <xs:annotation>
            <xs:documentation>Wartość atrybutu kontekstu.</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:complexType name="KontekstMT">
        <xs:sequence>
            <xs:element name="atrybut" type="AtrybutMT" minOccurs="0" maxOccurs="unbounded"/>
        </xs:sequence>
    </xs:complexType>
    <xs:complexType name="AtrybutMT">
        <xs:annotation>
            <xs:documentation>Atrybut kontekstu.</xs:documentation>
        </xs:annotation>
        <xs:sequence>
            <xs:element name="wartosc" type="WartoscAtrybutuMT" maxOccurs="unbounded"/>
        </xs:sequence>
        <xs:attribute name="nazwa" type="xs:anyURI">
            <xs:annotation>
                <xs:documentation>Nazwa jako atrybutu elementu.</xs:documentation>
            </xs:annotation>
        </xs:attribute>
    </xs:complexType>
    <xs:element name="kontekstWywolania" type="KontekstMT"/>
</xs:schema>
